mysqli::dump_debug_info
mysqli->error
MySQLi
PHP Manual

# mysqli->errno

# mysqli_errno

(PHP 5)

mysqli->errno -- mysqli_errno — Returns the error code for the most recent function call

### Description

Object oriented style (property):

mysqli
int $errno;

Procedural style:

int mysqli_errno ( mysqli `$link` )

Returns the last error code for the most recent MySQLi function call that can succeed or fail.

Client error message numbers are listed in the MySQL errmsg.h header file, server error message numbers are listed in mysqld_error.h. In the MySQL source distribution you can find a complete list of error messages and error numbers in the file Docs/mysqld_error.txt.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

An error code value for the last call, if it failed. zero means no error occurred.

### Examples

Example #1 Object oriented style

`<?php
$mysqli = new mysqli("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
if (!$mysqli->query("SET a=1")) {
printf("Errorcode: %d\n", $mysqli->errno);
}
/* close connection */
$mysqli->close();
?>`

Example #2 Procedural style

`<?php
$link = mysqli_connect("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
if (!mysqli_query($link, "SET a=1")) {
printf("Errorcode: %d\n", mysqli_errno($link));
}
/* close connection */
mysqli_close($link);
?>`

The above example will output:

    Errorcode: 1193

### See Also

- mysqli_connect_errno()
- mysqli_connect_error()
- mysqli_error()
- mysqli_sqlstate()

mysqli::dump_debug_info
mysqli->error
MySQLi
PHP Manual